<?
include_once("valida_sessao.php");
protegePagina();
include_once("adm_head.php");
?>

<span class="dir">Adicionar nova página</span>
</div>

<div id="conteudo">

<?php
include_once("config.php");

if (isset($_POST['submit'])) {

$template = $_POST['template'];
$nome = $_POST['nome'];
$titulo = $_POST['titulo'];
$arquivo = $_POST['arquivo'];
$texto = addslashes($_POST['texto']);
$menu = $_POST['menu'];
$situacao = $_POST['situacao'];
$img_novo = $_FILES['img'];
$ico_novo = $_FILES['ico'];

	include_once("ctd_pagina_img.php");
	include_once("ctd_pagina_ico.php");
	
   include_once("utf8.php");  

   $insere = "INSERT INTO ctd_paginas (p_t_id,p_nome,p_titulo,p_arquivo,p_texto,p_menu,p_icone,p_img,p_situacao)
   VALUES ('$template','$nome','$titulo','$arquivo','$texto','$menu','$caminho_imagem','$caminho_icone','$situacao')";
   mysqli_query($conn, $insere);
   mysqli_close($conn);
   
   echo "<p class=\"sucesso\">Adicionado Com Sucesso!</p>";  
   
}

include_once("utf8.php");

$sql = "SELECT * FROM ctd_templates ORDER BY t_nome";
$consulta = mysqli_query($conn, $sql);

$sql_menu = "SELECT * FROM ctd_menu ORDER BY m_nome";
$con_menu = mysqli_query($conn, $sql_menu);
?>

<form name="frmpagina" method="POST" action="<?=$_SERVER['PHP_SELF']?>" onSubmit="return valida_pagina(this);" enctype="multipart/form-data">
<table align="center" cellspacing="0" cellpadding="0" class="form">
		  <tr>
          	<td width="30%">
            <img src="imagem/importante.gif" />
            Template <br />
            <select name="template" id="template">
            <option value=""></option>
            <?PHP
			while($sel_temp = mysqli_fetch_array($consulta)){
            	echo "<option value=\"". $sel_temp['t_id'] ."\" ";				
				echo ">". $sel_temp['t_nome'] ."</option>";
			}			
            ?>
            </select>
            </td>
          	<td>
            <img src="imagem/importante.gif" />
            Menu <br />
            <select name="menu">
            <option value=""></option>
            <?PHP
			while($sel_menu = mysqli_fetch_array($con_menu)){
            	echo "<option value=\"". $sel_menu['m_id'] ."\" ";				
				echo ">". $sel_menu['m_nome'] ."</option>";
			}			
            ?>
            </select>
            </td>
            <td>
            <img src="imagem/importante.gif" />
            Arquivo <br />
            <input type="text" name="arquivo" maxlength="50" value=".php" />
            </td>

          	<td>
            <img src="imagem/importante.gif" />
            Situação <br />
            <select name="situacao">
            <option value="1">Ativo</option>
            <option value="0">Inativo</option>
            </select>   
            </td>
          </tr>
          
		  <tr>
            <td colspan="4">
            <img src="imagem/importante.gif" />
            Título <br />
            <input type="text" name="nome" maxlength="150" />
            </td>
          </tr>
          <tr>
            <td colspan="4">            
            Texto <br />
            <textarea rows="16" name="texto" class="ckeditor"></textarea>
            </td>
          </tr>
          <tr>
            <td colspan="2">        
              Ícone <br />
              <input type="file" name="img" id="img" />    
            </td>
            <td colspan="2">        
              Imagem <br />
              <input type="file" name="ico" id="ico" />    
            </td>
          </tr>
          <tr>
            <td align="center" colspan="4">
              <input type="button" value="Voltar" name="voltar" onclick="location.href='ctd_pagina_adm.php'" />
              <input type="submit" value="Salvar" name="submit" /></td>
          </tr>
        </table>
</form>
</div>
</table>
<? include_once("adm_foot.php"); ?>